# 3.4 TGZ-Dateien für die Installation auf anderen Systemen

Falls Ihre Linux-Distribution ohne RPM- oder DEB-Archivformat arbeitet, oder falls Sie nicht Linux benutzen, müssen Sie KDE selbst kompilieren. Für die Zukunft planen wir, eine Binärdistribution anzubieten, die dann ein eigenes Installationsprogramm besitzen wird.

Um KDE korrekt zu kompilieren und zu installieren, müssen die folgenden Dinge auf ihrer Festplatte vorhanden sein:

- Ein ANSI-C-Compiler, z.B. der GNU C-Compiler

- Ein ANSI-C++-Compiler, z.B. GNU C++

- Das Dienstprogramm "make"

- Die Qt-Bibliotheken, Entwicklerversion 1.42 oder höher (sehr wichtig!)

- X11-Entwicklerversion (oft fehlen die include-Dateien)

Wenn Sie alle benötigten Anwendungen besitzen, gehen Sie zu Ihrem bevorzugten KDE Spiegelserver und holen sich folgende Dateien aus dem Verzeichnis /pub/kde/stable/(Neueste Version)

- kdesupport-(Version).tar.gz

- kdelibs-(Version).tar.gz

- kdebase-(Version).tar.gz

- Alle anderen Pakete, die Sie installieren möchten. Wir raten dazu, wenigstens kdeutils zu nehmen.

Dabei steht (Version) für die aktuelle Versionsnummer. Sobald Sie alles, was Sie benötigen, heruntergeladen haben, entpacken Sie diese in /usr/src. Dieser Vorgang sollte folgende Verzeichnisstruktur erzeugen:

- /usr/src/kdesupport

- /usr/src/kdelibs

- /usr/src/kdebase

- /usr/src/... (alle weiteren Pakete)

Stellen Sie sicher, daß Sie Schreiberlaubnis für /opt/kde besitzen. Als nächstes müssen Sie die Pakete mit folgenden Befehlen kompilieren und installieren:

1. Wechseln Sie in das Verzeichnis des Pakets, das Sie installieren möchten (siehe oben)

2. ./configure (mit den gewünschten Optionen)

3. make

4. make install

Führen Sie obige Schritte mit jedem zu installierenden Paket aus. (Hinweis: Diese Anweisungen können für fast jedes verfügbare Quell-Paket ausgeführt werden.)

Jedes Konfigurations-Skript hat verschiedene verfügbare Optionen. Einige sind bei allen Paketen gleich, während andere nur bei bestimmten Dateien funktionieren. Im folgenden sehen Sie das Ergebnis von `configure` --help in kdebase:

       --enable-debug          creates debugging code [default=no]
       --disable-nls           do not use Native Language Support
       --with-qt-dir           where the root of qt is installed
       --with-qt-includes      where the qt includes are.
       --with-qt-libraries     where the qt library is installed.
       --with-extra-includes   adds non standard include paths
       --with-extra-libs       adds non standard library paths
       --disable-path-check    don't try to find out where to install
       --with-install-root     the root, where to install to [default=/]
       --disable-rpath         do not use the rpath feature of ld
       --with-xdmdir           if the xdm config dir can't be found automatically
       --without-pam           disable Pluggable Authentication Modules
       --with-shadow           if you want shadow password support
       --without-gl            disable 3D GL modes
       --without-xpm           disable color pixmap XPM tests

Verschiedene Optionen werden nicht benötigt und sind nur nützlich als Ausweg aus bekannten Problemen (z.B. --disable-path-check). Da einige wichtig sind, z.B. --with-shadow, sollten Sie sich immer die verfügbaren Optionen ansehen.

Eine wichtige Option ist --prefix. Diese Option gibt den Pfad an, wo configure installieren soll (für kdesupport und kdelibs) oder wo es nach den Bibliotheken suchen soll (für die anderen Pakete). Standardmäßig sieht configure in /usr/local/kde nach. Falls Sie KDE in /opt/kde installieren möchten, müssen Sie `configure` --prefix /opt/kde benutzen.

Falls Sie die Qt-Bibliotheken an einem ungewöhnlichen Ort installiert haben, z.B. in $HOME/src/qt, müssen Sie `configure` --with-qt-dir=$HOME/src/qt benutzen. Standardmäßig sucht configure nach Qt an den wichtigsten Orten, bevor es aufgibt.

Falls Sie Probleme haben, die Sie nicht lösen können, schicken Sie eine Kopie der Datei config.log an die Adresse, die in der README-Datei des betreffenden Pakets angegeben ist.

Sie müssen KDE in der folgenden Reihenfolge installieren: kdesupport, kdelibs, dann die Anwendungspakete (z.B. kdebase). Alle Anwendungspakete sollten nur von kdelibs abhängen, so daß Sie sie gleichzeitig kompilieren können (falls Sie eine schnelle Maschine haben).

Falls Sie ein Multiprozessorsystem benutzen, versuchen Sie `make` -j<Anzahl der Prozessoren> anstelle von `make`.

Falls Sie KDE auf einem UNIX-Derivat installieren können, auf dem KDE bisher noch nicht erfolgreich installiert wurde, schicken Sie mir eine Email mit einer Beschreibung, was Sie getan haben. Es wird dann in dieses Dokument eingefügt.

## 3.4.1 Plattformspezifische Hinweise

### 3.4.1.1 Linux

Für Linux sind die meisten benötigten Dienstprogramme entweder unter ftp://sunsite.unc.edu/pub/Linux/GCC oder ftp://sunsite.unc.edu/pub/GNU zu finden. Die Qt-Bibliotheken können unter ftp://ftp.troll.no/pub/qt/linux gefunden werden, sowohl als Quelltext als auch im RPM-Format für Linux. Beide enthalten detailierte Anweisungen, wie man sie installiert. Include-Dateien für X11-Programme sollten unter ftp://ftp.xfree86.org im xdevel-Abschnitt zu finden sein.

Falls Sie Ihr System auf Runlevel 3 mit kdm starten möchten, müssen sie den Aufruf von xdm in /etc/rc.d/xdm durch /opt/kde/bin/kdm ersetzen. Hier ist eine Version, die funktionieren sollte:

     #! /bin/sh
     # Copyright (c) 1996 S.u.S.E. GmbH Fuerth, Germany.  All rights
     reserved.
     #
     # Author: Florian La Roche <florian@suse.de>, 1996
     #	  Werner Fink <werner@suse.de>, 1996
     #
     # Modified on October, 13th by
     #	Andreas Buschka <andi@bonn-online.com>, 1997
     # for the KDE documentation project.
     #
     # /sbin/init.d/xdm
     #

     . /etc/rc.config

     case "$1" in
         start)
     	echo "Starting kdm."
     	/opt/kde/bin/kdm
     	;;
         stop)
     	echo -n "Shutting down kdm:"
     	killproc -TERM /opt/kde/bin/kdm
     	echo
     	;;
         *)
     	echo "Usage: $0 {start|stop}"
     	exit 1
     esac

     exit 0

Sie müssen auch das standardmäßge Runlevel in /etc/inittab auf 3 setzen, um beim Hochfahren des Systems kdm zu starten.

Denken Sie daran, sich neu beim System anzumelden, damit es Ihre neuen Einstellungen beachtet!